package com.tenlionsoft.aimz_k.page.activity

import android.content.Intent
import androidx.databinding.DataBindingUtil
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivitySplashBinding
import com.tenlionsoft.aimz_k.model.DbManager
import com.tenlionsoft.baselib.base.BaseActivity
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.GlobalScope
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext
import java.util.Timer
import java.util.TimerTask

/**
 * 闪屏页
 */
class SplashActivity : BaseActivity() {
    private lateinit var mBinding: ActivitySplashBinding


    override fun bindView() {
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_splash)
        GlobalScope.launch(Dispatchers.IO) {
            val msgDao = DbManager.db.msgDao()
            val cDao = DbManager.db.categoryDao()
            withContext(Dispatchers.Main) {
                Timer().schedule(object : TimerTask() {
                    override fun run() {
                        startActivity(Intent(this@SplashActivity, LoginActivity::class.java));
                        finish();
                    }

                }, 500)
            }
        }
    }
}